Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.gotoandplay.smartfoxserver.util.scheduling
Class Task

    java.lang.Object
      it.gotoandplay.smartfoxserver.util.scheduling.Task

    public class Task

extends java.lang.Object

The Task class describes a job to be executed at a specified time, which is handled by the Scheduler class

Field Summary
`boolean` | `active` By default it is set to true.
`java.lang.Object` | `id` A generic object that can be used to identify the task.
`java.util.Map` | `parameters` Additional map of parameters that describe the job to execute

Constructor Summary
`Task()` Default constructor
`Task(java.lang.Object id)` Pass an object as the id of the task
`Task(java.lang.Object id, java.util.Map mapObj)` Specify an object as the id and a map of additional parameters

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.Object id

  A generic object that can be used to identify the task. Can be a simple String or a more advanced object.

### parameters

    public java.util.Map parameters

  Additional map of parameters that describe the job to execute

### active

    public volatile boolean active

  By default it is set to true. You can set it to false to avoid this task to be executed and be removed from the Scheduler

Constructor Detail

### Task

    public Task()

  Default constructor

### Task

    public Task(java.lang.Object id)

  Pass an object as the id of the task

  Parameters:
    `id` - the id of the Task

### Task

    public Task(java.lang.Object id,
                java.util.Map mapObj)

  Specify an object as the id and a map of additional parameters

  Parameters:
    `id` - the id of the object
    `mapObj` - a map of parameters of the task

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD